html, body{
    background: #121212;
    font-family: "Lato", serif;
    height: auto !important;
    min-height: 100vh !important;
    overflow-x: hidden;
    overflow-y: auto !important;

}
.container-fluid{
    height: 100%;
}

.screen{
    height: 100%;
}

.header-container{
    padding: 20px 20px 0 20px;
    position: fixed;
    width: 100%;
    z-index: 10;
     background: transparent;
         transition: all 0.3s ease-in-out;
}

.divider-container {
        padding: 0;
    position: relative;
    bottom: -12px;
}
.header-container.scrolled {
    background: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(10px); /* Modern tarayıcılarda blur efekti */
}


.logo-container img{
    margin-right: 10px
}
.logo-container span{
    font-weight: 600;
    color: #F4D77E;
    font-size: 22;
}

.container svg{
    fill: rgba(205, 167, 87, 0.40);
}

.home-container{
    position:relative;
}

.home-container .container{
    position:relative;
    z-index: 9;
    padding-top: 140px;
}


.home-container::before{
    content: "";
    position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
    background: url('../img/bg.jpg') no-repeat center;
    background-size: cover;
    opacity: 0.2;
    z-index: 1;
}



.coin-name-heading{
    color: #DBB044;
    font-size: 46px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    margin-bottom: 30px;
}

.coin-title-heading{
    color: #FFF;
    font-size: 66px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    text-transform: capitalize;
    margin-top: 56px;
}

.coin-description-heading{
    color: #F4D77E;
    font-size: 26px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    margin-top: 56px;
    font-family: Inter;

}

.top-nav{
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.social-nav{
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.top-nav li a{
    color: #F4D77E;
    text-decoration: none;
    font-size: 16px;
}

.buttons-container{
    margin-top: 56px;
}

.buttons-container .btn-gold:last-child{
    margin-left: 60px;
}

.btn-gold{
    background: rgb(255,219,140);
    background: linear-gradient(105deg, rgba(255,219,140,1) 0%, rgba(142,100,13,1) 22%, rgba(148,107,21,1) 30%, rgba(255,228,163,1) 49%);    border-radius: 30px;
    color: #121212;
    text-align: center;
    font-size: 26px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    padding: 8px 40px;
    font-family: Inter;
    border-radius: 70px;
}

.rotary-icon-container{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.rotary-icon{
    animation: spin 10s linear infinite
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }
    to{
        transform: rotate(360deg);
    }
}


.about-container{
    position:relative;
    text-align: center;
}

.about-container::before{
    content: "";
    position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
    background: url('../img/icon-bg.png') no-repeat center;
    background-size: 85%;
    background-position: center -70px;
    opacity: 0.2;
    z-index: 1;
}

.about-container .container{
    position:relative;
    z-index: 9;
    padding-top: 140px;
    height:100%;
    display: flex;
    flex-direction: column;
    align-items: center;

}

.about-coin-title-heading{
    color: #FFF;
    text-align: center;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: #B28F31;
    font-size: 66px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    text-transform: capitalize;
    max-width: 710px;
    margin-top: 16px;
}

.about-texts{
    margin-top: 16px;
    max-width: 962px;
}
.about-texts p{
    color: #FFF;
    text-align: justify;
    font-family: Inter;
    font-size: 26px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;

}

.tokenomics-container .container{
    position:relative;
    z-index: 9;
    padding-top: 140px;
    display: flex;
    flex-direction: column;
    align-items: center;
    height:100%
}

.tokenomics-container .total-supply-text{
    color: #FFF;
    text-align: justify;
    font-family: Inter;
    font-size: 26px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.tokenomics-container .tokenomics-text{
    color: #FFF;
    font-family: Inter;
    font-size: 26px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    min-width: 411px;
}

.statistics-row{
    height:100%
}

.tokenomics-statistic-text{
    color: #FFF;
    text-align: center;
    font-family: Inter;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    position: absolute;
}

.tokenomics-statistic-text.text-1{
    max-width: 174px;
    left:0;
    top: 0;
    margin-left: 100px;
}

.tokenomics-statistic-text.text-2{
    max-width: 146px;
    top: 313px;
    left: 64px;
}

.tokenomics-statistic-text.text-3{
    max-width: 136px;
    bottom: 137px;
    left: 64px;
}


.tokenomics-statistic-text.text-4{
    max-width: 136px;
    bottom: 175px;
    right: 64px;
}

.tokenomics-end{
    align-items: center;
}

.roadmap-container{
    position:relative;
}
.roadmap-container::before{
    content: "";
    position: absolute;
    top: 0; left: 0; right: 0; bottom: 0;
    background: url('../img/roadmap-bg.jpg') no-repeat center;
    background-size: cover;
    opacity: 0.2;
    z-index: 1;
}

.roadmap-container .container{
    position:relative;
    z-index: 9;
    padding-top: 140px;
    height:100%;
}

.roadmap-container p{
    color: #FFF;
    font-family: Inter;
    font-size: 26px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    max-width: 700px;
}

.roadmap-container .coin-name-heading{
    text-align: center;
}

.community-projects-container .container{
    position:relative;
    z-index: 9;
    padding-top: 140px;
}

.text-center{
    text-align: center;
}

.text-left{
    text-align: left;
}

.cp-content{
    gap: 120px
}
.cp-content p{
    color: #FFF;
    font-family: Inter;
    font-size: 26px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    max-width: 770px;
}

.cp-content .vote-btn{
    padding-left: 100px;
    padding-right: 100px;
}

.ms-138px{
    margin-left: 138px;
}

.footer-logo-container img{
    margin-right: 15px;
}
.footer-logo-text{
    color: #F4D77E;
    -webkit-text-stroke-width: 1;
    -webkit-text-stroke-color: #FCE281;
    font-family: Lato;
    font-size: 22px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.footer-legal-menu{
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
    font-family: Lato;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.footer-legal-menu a{
    color: #FFF;
text-decoration: none;
}

.copy-text{
    color: #FFF;

text-align: center;
font-family: Lato;
font-size: 16px;
font-style: normal;
font-weight: 600;
line-height: normal;
}


.mobile-menu-indicator{
    width:33px;
    height: 33px;
}


.menu-toggle {
    display: block;
    position: absolute;
    z-index: 10;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    margin-left: -20px;
}

.menu-toggle .menu-toggle-checkbox {
    display: block;
    width: 40px;
    height: 40px;
    position: absolute;
    cursor: pointer;
    z-index: 4 !important;
    opacity: 0;
}

.show-mobile-menu {
    transform: none !important;
}

.menu-toggle .hamburger {
    display: block;
    width: 33px;
    height: 4px;
    margin-bottom: 7px;
    position: relative;
    background: #F4D77E;
    border-radius: 3px;
    z-index: 3 !important;
    transform-origin: 4px 0;
    transition: transform .5s cubic-bezier(.77,.2,.05,1), background .5s cubic-bezier(.77,.2,.05,1), opacity .55s ease;
}


.menu-toggle .hamburger:first-child {
    transform-origin: 0 0
}

.menu-toggle .hamburger:nth-last-child(2) {
    transform-origin: 0 100%
}

.menu-toggle input:checked~.hamburger {
    opacity: 1;
    transform: rotate(45deg) translate(-5px,-22px);
    background:  #F4D77E;
}

.menu-toggle input:checked~.hamburger:nth-last-child(3) {
    opacity: 0;
    transform: rotate(0deg) scale(.2);

}

.menu-toggle input:checked~.hamburger {
    background-color: #F4D77E !important;

}

.menu-toggle input:checked~.hamburger:nth-last-child(2) {
    transform: rotate(-46deg) translateY(17px);
}


.mobile-menu-container {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 10 !important;
    width: 100%;
    height: 100%;
    overflow-y: hidden;
    background: #000;    
    position: fixed;
    -webkit-font-smoothing: antialiased;
    transform-origin: 0 0;
    transform: translate(-100%);

    transition: transform .5s cubic-bezier(.77,.2,.05,1);
}

.mobile-menu-inner{
    background: #111111;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.mobile-menu{
    list-style: none;
    margin:0;
    padding:0;
    text-align: center;
    margin-top: 96px;
}

.mobile-menu li {
    margin-top: 20px;
}

.mobile-social-menu{
    list-style: none;
    margin:0;
    padding:0;
    display: flex;
    flex-direction: row;
    margin-top: 53px;
    gap:30px
}

.mobile-menu a{
    color: #F4D77E;
    text-decoration: none;
    font-size: 34px;
    font-weight: bold;
}

@media only screen and (max-width: 1200px){
    .tokenomics-statistic-text.text-1{
        margin-left: 20px;
    }
    .tokenomics-statistic-text.text-3{
        left:0;
        top:180px
    }

        .tokenomics-statistic-text.text-2{
        left:0;
    }

    .tokenomics-statistic-text.text-4{
        right:-20px;
        top:260px
    }
}


@media only screen and (max-width: 992px){
    .tokenomics-statistic-text.text-1{
        margin-left: -50px;
    }
    .tokenomics-statistic-text.text-3{
        left:0;
        margin-left: -80px;
        top:180px
    }

    .tokenomics-statistic-text.text-2{
        left:0;
        margin-left: -100px;
    }

    .tokenomics-statistic-text.text-4{
        right:-20px;
        top:340px
    }

    .tokenomics-container .tokenomics-text{
        min-width: 224px;
    }

    .cp-content p.ms-138px{
        margin-left: 0 !important;
    }

    .divider svg{
        width: 100% !important
    }

    .cp-content .vote-btn{
        padding-left: 50px;
        padding-right: 50px;
    }
}
@media only screen and (max-width: 600px){


    .home-container::before{
        background: unset
    }

    .roadmap-container::before{
        background: unset;
    }

    .about-container::before{
        background: unset
    }


    .about-texts p{
        text-align: justify;
        font-size: 16px;
    }

    .btn-gold{
        padding-left: 20px;
        padding-right: 20px;
    }


    .header-container{
        background-color: #111111;
    }
    .top-nav-container{
        margin-bottom: 30px;

    }

    .home-container .container{
        padding-top: 253px;
    }

    .coin-name-heading{
        text-align: center;
    }

    .coin-title-heading{
        text-align: center;
        font-size: 46px
    }

    .container-fluid{
        padding-left: 0px;
        padding-right: 0px;
    }

    .coin-description-heading{
        text-align: center;
    }

    .buttons-container{
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 20px
    }

    .buttons-container .btn-gold{
        width: 248px
    }

    .buttons-container .btn-gold:last-child{
        margin-left: 0px;
    }

    .rotary-icon-container{
        margin-top: 40px;
        margin-bottom: 40px;
    }
    .rotary-icon-container img{
        width: 70%;
        margin-top: 110px;
    }

    .screen{
        height: unset
    }

    .about-container::before{
        background-size: 100%;
        background-position: center 59px;
    }

    .about-coin-title-heading{
        font-size: 46px;
    }

    .about-texts{
        padding-left: 20px;
        padding-right: 20px;
    }

    .statistics-row img{
        width: 50%
    }

    .tokenomics-container .total-supply-text{
        margin-bottom: 60px;
    }
    .tokenomics-statistic-text.text-1 {
        max-width: 80px;
        top: -40px;
        left: 120px;
    }

    .tokenomics-statistic-text.text-2 {
        max-width: 106px;
top: 60px;
        left: 101px;
    }

    .tokenomics-statistic-text.text-3 {
        max-width: 132px;
        left: 77px;
        top:135px
    }

    .tokenomics-statistic-text.text-4 {
        max-width: 79px;
        right: 20px;
        top: 80px;
    }

    .tokenomics-container .tokenomics-text{
        margin-top: 60px;
        padding: 0 30px
    }

    .tokenomics-end{
        align-items: center;
    }

    .dex-chart-btn{
        margin-bottom: 20px;
    }

    .roadmap-container p{
        margin-top: 30px;
    }

    .divider svg{
        width: 100%
    }
    .cp-content p{
        text-align: center;
    }

    .ms-138px{
        margin-left: 0px;
    }
}